.TH man 1 "11 August 2017" "0.3.8" "wifi manpage"
.SH NAME
wifi \- a command line wrapper for iwlist and /etc/network/interfaces
.SH SYNOPSIS
wifi [-h | --help] [-i INTERFACE | --interface INTERFACE] [-f FILE | --file FILE]
            command [command positional arguments]
.SH DESCRIPTION
Wifi provides a command line wrapper for iwlist and /etc/network/interfaces
that makes it easier to connect the WiFi networks from the command line.
.SH OPTIONS
.TP
.B [-h | --help]
Prints a help message and exits.
.TP
.B [-i INTERFACE | --interface INTERFACE]
Specifies which interface to use (wlan0, eth0, etc.)
.TP
.B [-f FILE | --file FILE]
Specifies which file for scheme storage
.SH COMMANDS
.TP
.B scan [-h]
Shows a list of available networks

optional arguments:
  -h, --help    show a help message and exit
.TP
.B list [-h]
Shows a list of networks already configured

optional arguments:
  -h, --help    show a help message and exit
.TP
.B config [-h] SCHEME [SSID]
Prints the configuration to connect to a new network.

positional arguments:
  SCHEME      A memorable nickname for a wireless network. If SSID is not
              provided, the network will be guessed using SCHEME.
  SSID        The SSID for the network to which you wish to connect. This is
              fuzzy matched, so you don't have to be precise.

optional arguments:
  -h, --help    show a help message and exit
.TP
.B add [-h] SCHEME [SSID]
Prints the configuration to connect to a new network.

positional arguments:
  SCHEME      A memorable nickname for a wireless network. If SSID is not
              provided, the network will be guessed using SCHEME.
  SSID        The SSID for the network to which you wish to connect. This is
              fuzzy matched, so you don't have to be precise.

optional arguments:
  -h, --help    show a help message and exit
.TP
.B connect [-h] [-a] SCHEME
Connects to the network corresponding to SCHEME.

positional arguments:
  SCHEME        The nickname of the network to which you wish to connect.

optional arguments:
  -h, --help    show a help message and exit
  -a, --ad-hoc  Connect to a network without storing it in the config file
.TP
.B autoconnect [-h]
Searches for saved schemes that are currently available and connects to the first one it finds.

optional arguments:
  -h, --help  show this help message and exit
.SH SEE ALSO
.SH BUGS
No known bugs.
.SH AUTHOR
Ethan Ward <ethan.ward@mycroft.ai>
